Subject: Re: bug#78522: 31.0.50; Conflict between standard-display-unicode-special-glyphs and whitespace-mode

From: Ergus <[email-masked]>
Date: Thu, 29 May 2025 21:14:35 +0000 (UTC)

Hi Eli:
    On Wednesday, May 28, 2025 at 01:20:52 PM GMT+2, Eli Zaretskii <[email-masked]> wrote:   

 > Date: Tue, 27 May 2025 17:06:57 +0000 (UTC)
> From: Ergus <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> The patch improved a bit, but didn't solved it totally.
> 
> I mean:
> 
> > M-x standard-display-unicode-special-glyphs ;; This looks as expected
> > M-x whitespace-mode ;; reverts the effect
> 
> This part of the issue is still there exactly like before.

??? I've just tried, and it definitely does solve the problem here.

Or maybe I don't understand well enough what you mean by "reverts the
effect"?  You've never actually shown a recipe with detailed
explanations which explain what exactly is "reverted".  Because
standard-display-unicode-special-glyphs by itself doesn't change
anything on display in 'emacs -Q", you must do something else to see
its effect.  In my testing, I used "C-x 3", which shows the vertical
border between two windows using a Unicode character when
standard-display-unicode-special-glyphs is in effect.  Before my
changes, whitespace-mode would revert the border back to the ASCII
characters they used originally; after my changes this no longer
happens.
emacs -Q -nwC-x 3    ;; See the vertical division line with |S-M-: (standard-display-unicode-special-glyphs) ;; See the vertical division line with #x2502M-x whitespace-mode ;; See the vertical division line reverted to |M-x whitespace-mode ;; whitespace mode disabled vertical divisor back to #x2502
M-x whitespace-mode ;; whitespace mode enabled again, vertical divisor stays #x2502

So what is your recipe, starting from "emacs -Q", where you see that
whitespace-mode still reverts the effect of
standard-display-unicode-special-glyphs?

> But, if I do latter:
> 
> M-x whitespace-mode ;; disables whitespace and restores special-glyphs
> M-x whitespace-mode ;; re-enable whitespace mode and keeps special-glyphs
> 
> Then it looks correctly. 

What "special glyphs" are you talking about, and how do you make Emacs
display them?